/********************************************************************/
*                                                                    *
*  MODULE NAME      MA3L                                             *
*                                                                    *
*  DESCRIPTIVE NAME MQSeries Trigger Monitor for Lotus Notes Agents  *
*                   OS/2                                             *
*                                                                    *
*  Statement:       Licensed Materials - Property of IBM             *
*                                                                    *
*                   MA3L SupportPac                                  *
*                   (c) Copyright IBM Corp. 1996, 1997               *
*                                                                    *
*                   All rights reserved.                             *
*                                                                    *
*                   U.S. Government Users Restricted Rights - use,   *
*                   duplication or disclosure restricted by GSA      *
*                   ADP Schedule Contract with IBM Corp.             *
*                                                                    *
*  Status:          Version 1.1                                      *
*  Last Modified:   23 October 1997                                  *
*                                                                    *
*   NOTES :-                                                         *
*                                                                    *
*     RESTRICTIONS = None                                            *
*     MODULE TYPE  = InfoZip compressed                              *
*                                                                    *
*********************************************************************/
Component Id: 5639-B04

License Agreement
-----------------

You should read the following files to ensure you understand the terms
and conditions under which this SupportPac is provided.

   ipla  -  IBM International Program License Agreement
   li    -  IBM License Information sheet

NEW TO THIS RELEASE
===================
This release includes:
     - New install process.
     - Support for MQSeries Version 5. It does not does not exploit
       the new MQSeries function.

Introduction to the MQSeries Trigger Monitor for Lotus Notes Agents
===================================================================
The MQSeries Trigger Monitor for Lotus Notes Agents is a modified
version of the standard MQSeries Trigger Monitor with support for
triggering Lotus Notes Agents in addition to other MQSeries
application types. It is a continuously-running program that uses
only a small amount of system resources.

The MQLSX link extra agent sample application (gmqlxtra.nsf,
provided in the samples component of the MQLSX) demonstrates how
this trigger monitor can be used to start a Notes agent written
using the MQLSX. However, the trigger monitor can be used to trigger
any Notes agent , including one written using the MQSeries Enterprise
Integrator (MQEI).

For more information about MQSeries Triggering see your IBM MQSeries
Application Programming Guide.

The MQSeries Trigger Monitor for Lotus Notes Agents User's Guide is
provided separately in postscript and .pdf formats to allow you to
download them, called:
- GMQLTMON.PS    (Postscript file containing printable HELP)
- GMQLTMON.PDF   (Adobe Acrobat file, for online viewing and printing)

Disk space requirements: 300 KB

*********************************************************************

Installation
============
Use these installation instructions instead of those in the MQSeries
Trigger Monitor for Lotus Notes Agents User's Guide.

From an OS/2 command prompt:
  - Create a temporary directory (into which the contents of MA3L.ZIP can
    be extracted)
  - Unzip the file, MA3L.ZIP into the temporary directory.
  - Exit any other Windows applications and processes that you may have
    running.

Note: For the uninstall option to work, you must not move the files after
      installation.

1)  From an OS/2 window or a full-screen session:
    *  Change to the drive from which you want to install the trigger
       monitor
    *  Change to the \os2\trigmon directory
    *  At the command prompt, type INSTALL and press the enter key.

2)  The trigger monitor Welcome window is displayed, overlaid with the
    instructions window. Select the Continue button.

3)  The Install window is displayed. If you select the Update CONFIG.SYS
    check box, the CONFIG.SYS file is updated automatically as part of
    the installation process. Your original CONFIG.SYS file is renamed to
    CONFIG.BAK and is stored in the same directory. If you do not select
    this check box, a CONFIG.ADD file is generated. This file is copy of
    CONFIG.SYS with the necessary updates to the LIBPATH and PATH
    statement. You can rename the CONFIG.ADD file to CONFIG.SYS.

4)  Select the OK button to continue.

5)  The Install - directories window is displayed.
    *  The list box shows the components that you can choose to install.
    *  When you select one or more components (the component line is
       highlighted), the Bytes needed field shows the amount of disk
       space required for installation.
    *  The File directory and Work directory entry fields allow you to
       specify the drive and directory into which the components are to be
       installed. The default is c:\mqm\mqtm. Select the Disk space
       button to show how much disk space is free on each drive, and
       to select another drive for installation. Select the Install
       button to continue.

6)  The Install - progress window is displayed. This window shows:
    *  The file currently being installed (source) and the drive and
       directory into which it is being installed (target).
    *  A progress bar, indicating the percentage of files already
       unpacked and installed.
    *  The elapsed time.
    *  The status, for example, unpacking, processing or transferring.

    If you select the Stop button, you are asked whether you want to
    delete the partial system you have installed. Select Yes. You are
    returned to the introductory window. Select File ..... Start Install
    from the menu bar to start the installation.

7)  When the installation is complete, the Installation and Maintenance
    window is displayed. Select OK. The Introductory window is displayed.
    Leave the installation program by selecting the Exit button.

When installation is complete, a folder called MQSeries Trigger Monitor for
Lotus Notes Agents is created on your OS/2 desktop. This folder contains:

    *  ReadMe
    *  User's Guide (.pdf)
    *  Documented version of the Trigger Monitor code (.pdf)
    *  Installation and Maintenance

The trigger monitor components are installed on your system in the
following directories, unless you changed the default directory or chose
not to install all the components:

mqm\mqtm\bin
============
A directory containing the MQSeries Trigger Monitor executable.

mqm\mqtm\samples
================
A directory containing sample components needed to run this trigger
monitor.

mqm\mqtm\docs
=============
A directory containing the MQSeries Trigger Monitor for Lotus Notes
Agents User's Guide in Portable Document Format (.pdf).

mqm\mqtm\readme.txt
===================
A flat file to be read before using the MQSeries Trigger Monitor for
Lotus Notes agents.


Post installation
==================
Check your CONFIG.SYS file has been updated to include the new directory
in the PATH environment variable, i.e. mqm\mqtm., or rename the CONFIG.ADD
file to CONFIG.SYS.
Ensure that the Notes executable directory is included in the PATH
environment variable as well.

Shut your system down and restart.

*********************************************************************
*               END OF README FILE                                  *
*********************************************************************
